Bug 505305 - Crash after start/stop
Crash after start/stop
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnote (Show other bugs)
11
i686 Linux
low Severity low
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 08:42 EDT by Matthias Runge
Modified: 2013-03-13 01:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.5.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 04:33:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2009-06-11 08:42:24 EDT
Description of problem:
Gnote crashes right after starting and immediately stopping it

Version-Release number of selected component (if applicable):
[mrunge@mrungexp ~]$ rpm -q gnote
gnote-0.4.0-1.fc11.i586


How reproducible:
every time

Steps to Reproduce:
1. Start gnote
2. quit gnote (via menu)
3.
  
Actual results:
crash

Expected results:
quit

Additional info:

Distribution: Fedora release 11 (Leonidas)
Gnome Release: 2.26.2 2009-06-01 (Red Hat, Inc)
BugBuddy Version: 2.26.0

System: Linux 2.6.29.4-167.fc11.i586 #1 SMP Wed May 27 17:14:37 EDT 2009 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10601901
Selinux: No
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora
GTK+ Modules: canberra-gtk-module, pk-gtk-module, gnomebreakpad

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 0



----------- .xsession-errors (360 sec old) ---------------------
(liferea:16307): Gtk-CRITICAL **: gtk_style_detach: assertion `style->attach_count > 0' failed
(gnote:17013): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
(gnote:18182): libtomboy-WARNING **: Binding '<Alt>F12' failed!
(gnote:18182): libtomboy-WARNING **: Binding '<Alt>F11' failed!
(gnote:18190): libtomboy-WARNING **: Binding '<Alt>F12' failed!
(gnote:18190): libtomboy-WARNING **: Binding '<Alt>F11' failed!
--------------------------------------------------
Comment 1 Rahul Sundaram 2009-06-11 08:56:29 EDT
Unable to reproduce. Can you get a stack trace

https://fedoraproject.org/wiki/StackTraces
Comment 2 Matthias Runge 2009-06-11 09:31:17 EDT
Distribution: Fedora release 11 (Leonidas)
Gnome Release: 2.26.2 2009-06-01 (Red Hat, Inc)
BugBuddy Version: 2.26.0

System: Linux 2.6.29.4-167.fc11.i586 #1 SMP Wed May 27 17:14:37 EDT 2009 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10601901
Selinux: No
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora
GTK+ Modules: canberra-gtk-module, pk-gtk-module, gnomebreakpad

Memory status: size: 77774848 vsize: 77774848 resident: 20627456 share: 16900096 rss: 20627456 rss_rlim: 18446744073709551615
CPU usage: start_time: 1244727009 rtime: 13 utime: 11 stime: 2 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/gnote'

[Thread debugging using libthread_db enabled]
0x00680422 in __kernel_vsyscall ()
#0  0x00680422 in __kernel_vsyscall ()
#1  0x006eddf3 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x007ab5f7 in g_spawn_sync () from /lib/libglib-2.0.so.0
#3  0x007ab90c in g_spawn_command_line_sync () from /lib/libglib-2.0.so.0
#4  0x0046a3cc in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#5  0x0046adc2 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#6  <signal handler called>
#7  0x080ce9b7 in ~RefPtr (this=<value optimized out>, 
    __in_chrg=<value optimized out>)
    at /usr/include/glibmm-2.4/glibmm/refptr.h:185
#8  gnote::Note::~Note (this=<value optimized out>, 
    __in_chrg=<value optimized out>) at note.cpp:415
#9  0x080d21d9 in std::tr1::_Sp_deleter<gnote::Note>::operator() (
    __p=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/tr1/shared_ptr.h:97
#10 std::tr1::_Sp_counted_base_impl<gnote::Note*, std::tr1::_Sp_deleter<gnote::Note>, (__gnu_cxx::_Lock_policy)2>::_M_dispose (__p=<value optimized out>, 
    this=<value optimized out>) at /usr/include/c++/4.4.0/tr1/shared_ptr.h:75
#11 0x080bbda4 in std::tr1::_Sp_counted_base<(__gnu_cxx::_Lock_policy)2>::_M_release (this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/tr1_impl/boost_sp_counted_base.h:140
#12 ~__shared_count (this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/tr1/shared_ptr.h:153
#13 ~__shared_ptr (this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/tr1/shared_ptr.h:358
#14 ~shared_ptr (this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/tr1/shared_ptr.h:834
#15 __gnu_cxx::new_allocator<std::tr1::shared_ptr<gnote::Note> >::destroy (
    this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/ext/new_allocator.h:115
#16 std::_List_base<std::tr1::shared_ptr<gnote::Note>, std::allocator<std::tr1::shared_ptr<gnote::Note> > >::_M_clear (this=<value optimized out>, 
    this=<value optimized out>) at /usr/include/c++/4.4.0/bits/list.tcc:76
#17 ~_List_base (this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/bits/stl_list.h:360
#18 ~list (this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/bits/stl_list.h:418
#19 gnote::NoteManager::~NoteManager (this=<value optimized out>, 
    this=<value optimized out>) at notemanager.cpp:130
#20 0x080ab4d9 in gnote::Gnote::~Gnote (this=0x9abe628, 
    __in_chrg=<value optimized out>) at gnote.cpp:72
#21 0x080aa6be in main (argc=1, argv=0xbf844134) at main.cpp:40

Thread 1 (Thread 0xb7f10780 (LWP 21534)):
#0  0x00680422 in __kernel_vsyscall ()
No symbol table info available.
#1  0x006eddf3 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x007ab5f7 in g_spawn_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x007ab90c in g_spawn_command_line_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x0046a3cc in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#5  0x0046adc2 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#6  <signal handler called>
No symbol table info available.
#7  0x080ce9b7 in ~RefPtr (this=<value optimized out>, 
    __in_chrg=<value optimized out>)
    at /usr/include/glibmm-2.4/glibmm/refptr.h:185
No locals.
#8  gnote::Note::~Note (this=<value optimized out>, 
    __in_chrg=<value optimized out>) at note.cpp:415
No locals.
#9  0x080d21d9 in std::tr1::_Sp_deleter<gnote::Note>::operator() (
    __p=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/tr1/shared_ptr.h:97
No locals.
#10 std::tr1::_Sp_counted_base_impl<gnote::Note*, std::tr1::_Sp_deleter<gnote::Note>, (__gnu_cxx::_Lock_policy)2>::_M_dispose (__p=<value optimized out>, 
    this=<value optimized out>) at /usr/include/c++/4.4.0/tr1/shared_ptr.h:75
No locals.
#11 0x080bbda4 in std::tr1::_Sp_counted_base<(__gnu_cxx::_Lock_policy)2>::_M_release (this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/tr1_impl/boost_sp_counted_base.h:140
No locals.
#12 ~__shared_count (this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/tr1/shared_ptr.h:153
No locals.
#13 ~__shared_ptr (this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/tr1/shared_ptr.h:358
No locals.
#14 ~shared_ptr (this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/tr1/shared_ptr.h:834
No locals.
#15 __gnu_cxx::new_allocator<std::tr1::shared_ptr<gnote::Note> >::destroy (
    this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/ext/new_allocator.h:115
No locals.
#16 std::_List_base<std::tr1::shared_ptr<gnote::Note>, std::allocator<std::tr1::shared_ptr<gnote::Note> > >::_M_clear (this=<value optimized out>, 
    this=<value optimized out>) at /usr/include/c++/4.4.0/bits/list.tcc:76
        __cur = 0x9ad1cb8
#17 ~_List_base (this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/bits/stl_list.h:360
No locals.
#18 ~list (this=<value optimized out>, this=<value optimized out>)
    at /usr/include/c++/4.4.0/bits/stl_list.h:418
No locals.
#19 gnote::NoteManager::~NoteManager (this=<value optimized out>, 
    this=<value optimized out>) at notemanager.cpp:130
No locals.
#20 0x080ab4d9 in gnote::Gnote::~Gnote (this=0x9abe628, 
    __in_chrg=<value optimized out>) at gnote.cpp:72
No locals.
#21 0x080aa6be in main (argc=1, argv=0xbf844134) at main.cpp:40
        kit = <incomplete type>
        app = 0x9abe628
        retval = 0
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


----------- .xsession-errors ---------------------
warning: (Internal error: pc 0x80d21d8 in read in psymtab, but not in symtab.)
warning: (Internal error: pc 0x80d21d8 in read in psymtab, but not in symtab.)
warning: (Internal error: pc 0x80d21d8 in read in psymtab, but not in symtab.)
warning: (Internal error: pc 0x80d21d8 in read in psymtab, but not in symtab.)
warning: (Internal error: pc 0x80d21d8 in read in psymtab, but not in symtab.)
warning: (Internal error: pc 0x80d21d8 in read in psymtab, but not in symtab.)
warning: (Internal error: pc 0x80d21d8 in read in psymtab, but not in symtab.)
--------------------------------------------------
Comment 3 Rahul Sundaram 2009-06-11 15:25:32 EDT
Thanks for the stack trace. Upstream points me to

http://git.gnome.org/cgit/gnote/commit/?id=c5cd8d339699ff6bfa29fd111d569f9999213bfe

which is expected to fix this issue. I will wait for the next release and not push this one into updates repository if this is easy to hit. Thoughts?
Comment 4 Matthias Runge 2009-06-12 02:29:53 EDT
I totally agree. This crash only occurs, if you start and quit gnote a short time afterwards.
Thank you.
Comment 5 Fedora Update System 2009-06-17 03:47:47 EDT
gnote-0.5.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnote-0.5.0-1.fc11
Comment 6 Matthias Runge 2009-06-17 04:31:01 EDT
With version 0.5.0 this bug has gone away.
Comment 7 Fedora Update System 2009-06-24 15:29:00 EDT
gnote-0.5.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.